Package org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

# Class TimeoutClientForValidation

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.TimeoutClientForValidation

@RequestScoped public class TimeoutClientForValidation extends Object
A client to demonstrate the validation of the value on @Timeout

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`TimeoutClientForValidation()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeoutClientForValidation

public TimeoutClientForValidation()

## Method Details

### serviceA

@Timeout(-1L) public Connection serviceA()